org.jbpm.bpmn2.handler

## Enum LoggingTaskHandlerDecorator.InputParameter

- java.lang.Object
- - java.lang.Enum<LoggingTaskHandlerDecorator.InputParameter>
  - - org.jbpm.bpmn2.handler.LoggingTaskHandlerDecorator.InputParameter

- All Implemented Interfaces:
    Serializable, Comparable<LoggingTaskHandlerDecorator.InputParameter>
  Enclosing class:
    LoggingTaskHandlerDecorator

      public static enum LoggingTaskHandlerDecorator.InputParameter
      extends Enum<LoggingTaskHandlerDecorator.InputParameter>

  Type of input parameter that will be used in the `MessageFormat` string set in `LoggingTaskHandlerDecorator.setLoggedMessageFormat(String)`.

  Work items are referred to in the following table, are `WorkItem` instances that were being processed when the exception was thrown.

  The following values can be used:

  `WORK_ITEM_ID` | The work item id
  `WORK_ITEM_NAME` | The work item name
  `WORK_ITEM_METHOD` | Either "execut" (without an 'e') or "abort" depending what was being done with the work item.
  `WORK_ITEM_HANDLER_TYPE` | The class name of the `WorkItemHandler` implementation.
  `WORK_ITEM_PARAMETERS` | A list of the parameters present in the `WorkItem`
  `SERVICE` | If the work item was being processed as part of a <serviceTask>, then this is the name of the class or service being called. Null otherwise.
  `OPERATION` | If the work item was being processed as part of a <serviceTask>, then this is the name of the method or service operation being called. Null otherwise.
  `PROCESS_INSTANCE_ID` | The process instance id in which the exception occurred.
  `EXCEPTION_CLASS` | The class of the exception thrown.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `EXCEPTION_CLASS`
    `OPERATION`
    `PROCESS_INSTANCE_ID`
    `SERVICE`
    `WORK_ITEM_HANDLER_TYPE`
    `WORK_ITEM_ID`
    `WORK_ITEM_METHOD`
    `WORK_ITEM_NAME`
    `WORK_ITEM_PARAMETERS`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static LoggingTaskHandlerDecorator.InputParameter` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static LoggingTaskHandlerDecorator.InputParameter[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### WORK_ITEM_ID

          public static final LoggingTaskHandlerDecorator.InputParameter WORK_ITEM_ID

    - #### WORK_ITEM_NAME

          public static final LoggingTaskHandlerDecorator.InputParameter WORK_ITEM_NAME

    - #### WORK_ITEM_METHOD

          public static final LoggingTaskHandlerDecorator.InputParameter WORK_ITEM_METHOD

    - #### WORK_ITEM_HANDLER_TYPE

          public static final LoggingTaskHandlerDecorator.InputParameter WORK_ITEM_HANDLER_TYPE

    - #### WORK_ITEM_PARAMETERS

          public static final LoggingTaskHandlerDecorator.InputParameter WORK_ITEM_PARAMETERS

    - #### SERVICE

          public static final LoggingTaskHandlerDecorator.InputParameter SERVICE

    - #### OPERATION

          public static final LoggingTaskHandlerDecorator.InputParameter OPERATION

    - #### PROCESS_INSTANCE_ID

          public static final LoggingTaskHandlerDecorator.InputParameter PROCESS_INSTANCE_ID

    - #### EXCEPTION_CLASS

          public static final LoggingTaskHandlerDecorator.InputParameter EXCEPTION_CLASS

  - ### Method Detail

    - #### values

          public static LoggingTaskHandlerDecorator.InputParameter[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (LoggingTaskHandlerDecorator.InputParameter c : LoggingTaskHandlerDecorator.InputParameter.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static LoggingTaskHandlerDecorator.InputParameter valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2001–2018 JBoss by Red Hat. All rights reserved.